Name:          openblas
Version:       0.3.24
Release:       1mamba
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openblas.net
Source:        https://github.com/xianyi/OpenBLAS.git/v%{version}/OpenBLAS-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: gcc-fortran
BuildRequires: glibc-devel
BuildRequires: libgcc
%ifnarch arm aarch64
BuildRequires: libquadmath-devel
%endif
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An optimized BLAS library based on GotoBLAS2 1.13 BSD version

%description -n lib%{name}
OpenBLAS is an optimized BLAS library based on GotoBLAS2 1.13 BSD version.
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n OpenBLAS-%{version}

%build
%cmake -d build \
\
%ifarch arm
   -DCMAKE_ASM_FLAGS="%{optflags} -mfpu=neon-vfpv3"
%endif
   
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libopenblas.so.*
%doc LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/openblas
%{_includedir}/openblas/*.h
%dir %{_includedir}/openblas/openblas
%{_includedir}/openblas/openblas/*.h
%{_libdir}/libopenblas.so
%{_libdir}/pkgconfig/openblas.pc
%dir %{_libdir}/cmake/OpenBLAS
%{_libdir}/cmake/OpenBLAS/OpenBLAS*.cmake
%doc README.md


%changelog
* Sat Sep 09 2023 Automatic Build System <autodist@mambasoft.it> 0.3.24-1mamba
- automatic version update by autodist

* Sun Apr 02 2023 Automatic Build System <autodist@mambasoft.it> 0.3.23-1mamba
- automatic version update by autodist

* Tue Mar 28 2023 Automatic Build System <autodist@mambasoft.it> 0.3.22-1mamba
- automatic version update by autodist

* Mon Aug 08 2022 Automatic Build System <autodist@mambasoft.it> 0.3.21-1mamba
- automatic version update by autodist

* Mon Feb 21 2022 Automatic Build System <autodist@mambasoft.it> 0.3.20-1mamba
- automatic version update by autodist

* Mon Dec 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.19-1mamba
- automatic version update by autodist

* Sun Oct 03 2021 Automatic Build System <autodist@mambasoft.it> 0.3.18-1mamba
- automatic version update by autodist

* Fri Jul 16 2021 Automatic Build System <autodist@mambasoft.it> 0.3.17-1mamba
- automatic version update by autodist

* Tue Jul 13 2021 Automatic Build System <autodist@mambasoft.it> 0.3.16-1mamba
- automatic version update by autodist

* Tue May 04 2021 Automatic Build System <autodist@mambasoft.it> 0.3.15-1mamba
- automatic version update by autodist

* Sat Mar 20 2021 Automatic Build System <autodist@mambasoft.it> 0.3.14-1mamba
- automatic version update by autodist

* Wed Dec 16 2020 Automatic Build System <autodist@mambasoft.it> 0.3.13-1mamba
- automatic version update by autodist

* Sun Nov 15 2020 Automatic Build System <autodist@mambasoft.it> 0.3.12-1mamba
- automatic version update by autodist

* Mon Jun 22 2020 Automatic Build System <autodist@mambasoft.it> 0.3.10-1mamba
- automatic version update by autodist

* Mon Mar 09 2020 Automatic Build System <autodist@mambasoft.it> 0.3.9-1mamba
- automatic version update by autodist

* Mon Feb 17 2020 Automatic Build System <autodist@mambasoft.it> 0.3.8-1mamba
- automatic version update by autodist

* Sat Nov 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 0.3.7-1mamba
- package created using the webbuild interface
